summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
author David Spencer <nobbutl@yahoo.co.uk>2010-05-11 20:00:39 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:00:39 +0200
commit395bf27da5d7e5e6fb49683ddad3c24217e37519 (patch)
tree5a93728da2a598311540f268e23b4e7050a42161 /graphics
parenta08e8cad9b7c6d145ee2389ff350df23fbecbf35 (diff)
downloadslackbuilds-395bf27da5d7e5e6fb49683ddad3c24217e37519.tar.gz
slackbuilds-395bf27da5d7e5e6fb49683ddad3c24217e37519.tar.xz
graphics/xtrkcad: Added to 12.0 repository
Diffstat (limited to 'graphics')
-rw-r--r--graphics/xtrkcad/README9
-rw-r--r--graphics/xtrkcad/slack-desc19
-rw-r--r--graphics/xtrkcad/xtrkcad.SlackBuild66
-rw-r--r--graphics/xtrkcad/xtrkcad.info8
4 files changed, 102 insertions, 0 deletions
diff --git a/graphics/xtrkcad/README b/graphics/xtrkcad/README
new file mode 100644
index 0000000000..5bdf17ba13
--- /dev/null
+++ b/graphics/xtrkcad/README
@@ -0,0 +1,9 @@
+XTrkCAD is a CAD program for designing model railroad layouts.
+You can design layouts in any scale and gauge. XTrkCAD has
+predefined libraries for many popular brands of track. You can
+test your design by running trains, and you can print the
+design in a scale of your choice. When printed in 1:1 scale
+the printout can be used as a template for track laying.
+
+Beginner's Tutorial: http://www.xtrkcad.org/Wikka/BeginnerTutorial
+User Guide: http://www.xtrkcad.org/Wikka/UserGuide
diff --git a/graphics/xtrkcad/slack-desc b/graphics/xtrkcad/slack-desc
new file mode 100644
index 0000000000..a46850212f
--- /dev/null
+++ b/graphics/xtrkcad/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+xtrkcad: xtrkcad (CAD program for designing model railroad layouts)
+xtrkcad:
+xtrkcad: XTrkCAD is a CAD program for designing model railroad layouts.
+xtrkcad: You can design layouts in any scale and gauge. XTrkCAD has
+xtrkcad: predefined libraries for many popular brands of track. You
+xtrkcad: can test your design by running trains, and you can print the
+xtrkcad: design in a scale of your choice. When printed in 1:1 scale
+xtrkcad: the printout can be used as a template for track laying.
+xtrkcad:
+xtrkcad: Homepage: http://www.xtrkcad.org/
+xtrkcad:
diff --git a/graphics/xtrkcad/xtrkcad.SlackBuild b/graphics/xtrkcad/xtrkcad.SlackBuild
new file mode 100644
index 0000000000..fdb4ff6108
--- /dev/null
+++ b/graphics/xtrkcad/xtrkcad.SlackBuild
@@ -0,0 +1,66 @@
+#!/bin/sh
+
+# Slackware build script for xtrkcad
+# Written by David Spencer <nobbutl@yahoo.co.uk>
+# This script is dedicated to the public domain
+
+# Modified by Robby Workman <rworkman@slackbuilds.org>
+
+PRGNAM=xtrkcad
+VERSION=4.0.2
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM/app
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+make product VERBOSE=1 COPTS="$SLKCFLAGS"
+
+mkdir -p $PKG/usr/lib/xtrkcad/params
+cp -a lib/params/*.xtp $PKG/usr/lib/xtrkcad/params
+cp -a lib/xtrkcad.{bug,enh,fix,upd,xtq} lib/logo.bmp bin/xtc64.xpm \
+ help/xtrkcad.tip $PKG/usr/lib/xtrkcad
+
+mkdir -p $PKG/usr/bin
+cp -a bin/xtrkcad $PKG/usr/bin
+strip --strip-unneeded $PKG/usr/bin/xtrkcad
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/{examples,html,demos}
+cp -a COPYING README bin/ChangeLog lib/aareadme.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a lib/demos/*.xtr $PKG/usr/doc/$PRGNAM-$VERSION/demos
+cp -a lib/examples/*.xtc $PKG/usr/doc/$PRGNAM-$VERSION/examples
+cp -a doc/*.html doc/png.d/ doc/xtrkcad_lin.css $PKG/usr/doc/$PRGNAM-$VERSION/html
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# The package expects docs to be in /usr/lib/xtrkcad/$dir
+cd $PKG/usr/lib/xtrkcad
+ ln -s /usr/doc/$PRGNAM-$VERSION/examples .
+ ln -s /usr/doc/$PRGNAM-$VERSION/html .
+ ln -s /usr/doc/$PRGNAM-$VERSION/demos .
+cd -
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/graphics/xtrkcad/xtrkcad.info b/graphics/xtrkcad/xtrkcad.info
new file mode 100644
index 0000000000..84e4dca9aa
--- /dev/null
+++ b/graphics/xtrkcad/xtrkcad.info
@@ -0,0 +1,8 @@
+PRGNAM="xtrkcad"
+VERSION="4.0.2"
+HOMEPAGE="http://www.xtrkcad.org/"
+DOWNLOAD="http://downloads.sourceforge.net/xtrkcad-fork/xtrkcad-4.0.2.tar.gz"
+MD5SUM="b33407bd5046185b5938fee0bdb8c897"
+MAINTAINER="David Spencer"
+EMAIL="nobbutl@yahoo.co.uk"
+APPROVED="rworkman"